Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Pin the node dependencies with a package-lock #6370

Merged
merged 2 commits into from Nov 12, 2019

Conversation

davidfischer
Copy link
Contributor

@davidfischer davidfischer commented Nov 12, 2019

  • Previously, we were ignoring this file leading to inconsistency
  • This will ensure everyone uses the same version

- Previously, we were ignoring this file leading to inconsistency
- This will ensure everyone uses the same version
@davidfischer davidfischer requested a review from Nov 12, 2019
@humitos
Copy link
Member

@humitos humitos commented Nov 12, 2019

I was able to build the assets without any problem by pulling down this branch and running:

rm -rf node_modules
npm install
npm run build

I'm using node 8.11.2, just in case.

@humitos
Copy link
Member

@humitos humitos commented Nov 12, 2019

We found that running this with a 6.6+ version of npm it modifies package-lock.json. See https://stackoverflow.com/questions/54411377/package-lock-json-file-package-with-optional-true

This is auto-updated when ran with npm 6.6+
@agjohnson agjohnson merged commit f9367d6 into master Nov 12, 2019
2 of 3 checks passed
@agjohnson agjohnson deleted the davidfischer/pin-node-deps-package-lock branch Nov 12, 2019
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Development

Successfully merging this pull request may close these issues.

None yet

3 participants